package cz.senslog.connector.app.config;

import cz.senslog.connector.app.config.api.ConfigurationService;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

class FileBuilderImplTest {

    @Test
    void build() {

        ConfigurationService service = ConfigurationService.newFileBuilder()
                .fileName("test.yaml").build();

        assertEquals(FileConfigurationServiceImpl.class, service.getClass());
    }
}